{% macro actions(entity, links = {}, show_text = true) %}
  <ul class="menu simple">
    {% if links.list is defined and links.list %}
      <li>
        <a href="{{ path('log')}}" title="{{ 'log.action.list'|trans }}">
          <i class="fa fa-list"></i>
          {% if show_text %}<span>{{ 'log.action.list'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.read is defined and links.read %}
      <li>
        <a href="{{ path('log_read', {'id': entity.id})}}" title="{{ 'log.action.read'|trans }}">
          <i class="fa fa-eye"></i>
          {% if show_text %}<span>{{ 'log.action.read'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}
  </ul>
{% endmacro %}

{% macro breadcrumbs(entity, state) %}
  <nav role="navigation">
    <ul class="breadcrumbs">
      <li><a href="{{ path('log') }}">{{ 'log.action.list'|trans }}</a></li>
      {% if state == 'read' %}
        <li>{{ 'log.action.read'|trans }}</li>
      {% endif %}
    </ul>
  </nav>
{% endmacro %}